package request

// AddFutureGoodChartClassifyReq 添加excel分类请求
type AddFutureGoodChartClassifyReq struct {
	FutureGoodChartClassifyName string `description:"分类名称"`
	ParentId                    int    `description:"父级id,第一级传0" json:"-"`
	Level                       int    `description:"层级,第一级传0，其余传上一级的层级" json:"-"`
}

// EditFutureGoodChartClassifyReq 修改excel分类请求
type EditFutureGoodChartClassifyReq struct {
	FutureGoodChartClassifyName string `description:"分类名称"`
	FutureGoodChartClassifyId   int    `description:"分类名称"`
}

// MoveFutureGoodChartClassifyReq 移动图表分类请求参数
type MoveFutureGoodChartClassifyReq struct {
	ClassifyId       int `description:"分类id"`
	ParentClassifyId int `description:"父级分类id" json:"-"`
	PrevClassifyId   int `description:"上一个兄弟节点分类id"`
	NextClassifyId   int `description:"下一个兄弟节点分类id"`
}

type DeleteFutureGoodChartClassifyReq struct {
	FutureGoodChartClassifyId int `description:"分类id"`
	FutureGoodChartInfoId     int `description:"表格id"`
}

type FutureGoodChartClassifyDeleteCheckReq struct {
	FutureGoodChartClassifyId int `description:"分类id"`
	FutureGoodChartInfoId     int `description:"表格id"`
}
